<?php

class Zonewatch
{

    private static function getAllZones($type = "object")
    {
        if (is_dir("/var/named/")) {
            $domain_path = "/var/named/";
        } else if (is_dir("/etc/bind/")) {
            $domain_path = "/etc/bind/";
        } else {
            $logger->error("DNS Zone files directory could not be found!");
            exit;
        }
        $zones = new GlobIterator("$domain_path/*.db");

        if ($zones->count() != 0) {
            if ($type == "name") {
                $list = array();
                foreach ($zones as $zone) {
                    $list[] = rtrim(strval($zone), ".db");
                }
                return $list;
            }
            return $zones;
        }
        return false;
    }

    public static function getLastZones($min = 1)
    {
        $timec = $min * 60;
        $list = array();
        foreach (self::getAllZones() as $zone) {
            if ((time() - $zone->getMTime()) <= $timec) {
                $list[] = rtrim(basename(strval($zone)), ".db");
            }
        }
        return $list;
    }
}
