<?php

function bootAlert($msg, $type = 'success')
{
    return '<div class="alert alert-' . $type . '">
    <strong>' . ucfirst($type == 'danger' ? 'error' : $type) . '!</strong> ' . $msg . '
    </div>';
}

function fetchRequest($type='get')
{
    $renv = $type == 'get' ? getenv('QUERY_STRING'):getenv('POST');
    $request = array();
    if (!empty($renv)) {
        parse_str($renv, $request);
    }
    return $request;
}

function getDot(Array $array) {
    return new \Adbar\Dot($array);
}

function getView($view) {
    global $appPath;
    $view_file = $appPath."/views/".$view.".php";
    if(!is_file($view_file)) {
        return $appPath."/views/404.php";
    }
    return $view_file;
}

function getLogs(){
    global $appPath;
    $logs = array();
    $date_today = date("Y-m-d");
    $logfile_path = $appPath."/logs/app-".$date_today.".log";
    if(file_exists($logfile_path)){
        $file = fopen($logfile_path, "r");
        $log = array();
        while(($line = fgets($file)) !== false){
            $linearray = explode("[", $line);
            $linedata = explode("]", $linearray[1]);
            $log['date'] = $linedata[0];
            $linedetails = explode(":",$linedata[1]);
            $status_array = explode(".", $linedetails[0]);
            $log['status'] = $status_array[1];
            $log['details'] = $linedetails[1];
            $logs[] = $log;
        }
        fclose($file);
    }
    $logs = array_reverse($logs);
    return $logs;
}

function checkPort($ip,$port) {
    $connection=@fsockopen($ip,$port);
    if(is_resource($connection)) {
        fclose($connection);
        return true;
    }
    return false;
}

function getActiveServer($ctl,$foctl='') {
    if(checkPort($ctl,61613)) {
        if(checkPort($ctl,53)) {
            return $ctl;
        }
    }
    else {
        if(empty($foctl)) return;
            if(checkPort($foctl,61613)) {
            if(checkPort($foctl,53)) {
                return $foctl;
            }        
        }
    }
}

function convertIDN($domain) {
    if(function_exists('idn_to_utf8')) {
        return idn_to_utf8($domain,0,IDNA_VARCODE);
    }
    return $domain;
}

function getTimeNow() {
   return date("Y-m-d H:i:s");
}

function send($url, $param, $ip, $token, $mode = "post")
{
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url . ($mode == "get" ? "?" . http_build_query($param) : ""));
    if ($mode != "post" && $mode != "get") {
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, strtoupper($mode));
    }

    if ($mode != "get") {
        curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($param));
    }
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    $header = array("Api-Token: $token");
    curl_setopt($ch, CURLOPT_HTTPHEADER, $header);
    $op = curl_exec($ch);
    $http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);
    return array('response' => $op, 'status' => $http_code);
}