<?php

$viewConf->set('var.tab.home', true);

$domain_count = $db->table($table)->where('is_deleted', 0)->count('domain_name', 'total')->get()->total;
$sync_time = $db->select('timestamp')->table($table)->where(array('is_deleted' => 0, 'is_sended' => 1))->orderBy('timestamp', 'desc')->get();
$last_sync_time = '';
if (!is_array($sync_time)) {
    $last_sync_time = $sync_time->timestamp;
}
$domains_synced_remain = $db->table($table)->where(array('is_deleted' => 0, 'is_sended' => 0))->count('dt_id', 'total')->get()->total;

$badge = "danger";
$sync_status = "Out Of Sync";
if ($domains_synced_remain == 0) {
    $sync_status = "In Sync";
    $badge = "primary";
}

$settings = $db->table('settings')->select('*')->where('is_deleted', 0)->get();

if ($domain_count == 0 || !isset($settings->controller)) {
    $sync_status = "Not Available";
    $badge = "secondary";
}

include 'inc/header.php';

?>

<style>
.right-panel {
    margin-left: 0px !important;
    margin-top: 0px !important;
}

.page-content {
    padding-right: 20px;
    padding-left: 20px;
    background-color: #e9ebee;
}

.page-footer {
    padding: 5px 10px;
    text-align: center;
    color: rgba(255, 255, 255, .6);
    border-top: 1px solid #38444f;
    background: #222a32;
    font-size: 12px;
    line-height: 24px;
}

.plesk-custom-style .badge-primary {
    color: #fff !important;
    background-color: #20a48a !important;
}

.badge {
    display: inline-block;
    padding: .25em .4em;
    font-size: 95% !important;
    font-weight: 700 !important;
    line-height: 1;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: .25rem;
}

.table td,
.table th {
    padding: .75rem;
    vertical-align: top;
    border-top: 1px solid #dee2e6;
    vertical-align: middle !important;
}

tr:hover {
    background-color: #dee2e600 !important;
}

tr.odd:hover {
    background-color: #dee2e600 !important;
}

.plesk-custom-style a {
    color: #808080;
    text-decoration: none !important;
    background-color: transparent;
    -webkit-text-decoration-skip: objects;
    font-weight: 500 !important;
}

.plesk-custom-style .bg-white {
    background-color: #fff0 !important;
}

.table tbody tr:not(.is-selected):hover>td,
.table tbody tr:not(.is-selected):hover>th {
    background-color: #ecf5f900;
}

.plesk-custom-style .table tbody tr:hover>td,
.plesk-custom-style .table tbody tr:hover>th {
    box-shadow: #d8dde600 0 -1px 0 inset, #d8dde600 0 1px 0 inset;
}

.card-bodyx {
    box-shadow: -2px 6px 35px 0px rgba(0, 0, 0, 0.2);
    border-bottom: 4px solid #00c292 !important;
}

.card .card-body {
    float: left;
    padding: 1.20em;
    position: relative;
    width: 100%;
}

.stat-widget-five .stat-content {
    /* margin-left: 80px; */
    margin: 0 !important;
    position: absolute !important;
    top: 40% !important;
    left: 40% !important;
}

.stat-widget-five .stat-heading {
    color: #99abb4;
    font-size: 15px !important;
}

.pathbar li>a,
.pathbar li>span {
    background: #d0d0d0 !important;
}

.pathbar li>a:after,
.pathbar li>span:after {
    right: -10px;
    left: auto;
    z-index: 1;
    border-left-color: #d0d0d0 !important;
}

.content {
    margin-top: 80px;
    float: left;
    width: 100%;
}

.contentminheight {
    min-height: 595px !important;
}

.pagenaboos {
    margin-top: 20px;
    float: right;
}

.plesk-custom-style .page-link {
    color: #000000 !important;
}

.activelink {
    color: #000000 !important;
}

html {
    min-height: 100%;
    position: relative;
}

html body {
    margin-bottom: 60px;
    background-color: #e9ebee;
}

html #footer {
    bottom: 0;
    position: absolute;
    height: 60px;
    width: 100%;
}

html #footer .footer-block {
    margin: 20px 0;
}

.cpanelhomeicon {
    width: 50px;
}

@media screen and (max-width: 600px) and (min-width: 100px) {
    .columnx-4cardmenu {
        float: left;
        width: 100%;
    }

    .contentminheight {
        min-height: 595px !important;
        margin-bottom: 20px;
    }

    .cpanelhomeicon {
        width: 50px !important;
    }

    .plesk-custom-style .col-sm-6 {
        flex: 0 0 100%;
        max-width: 100%;
        text-align: center !important;
    }

    .right-panel header.header {
        height: 0px;
    }

    span.ax {
        white-space: nowrap;
        width: 100px;
        overflow: hidden;

        border: 1px solid #000000;
    }

    span.ax:hover {
        overflow: scroll;
    }


}
</style>

<div class="col-lg-12">
    <div class="card">
        <div class="card-header">
            <strong class="card-title">Cluster Overview</strong>
        </div>
        <div class="card-bodyxx">
            <div class="col-md-6" style="">
                <table class="table">
                    <tbody>
                        <tr>
                            <td width="30%"><img class="cpanelhomeicon" src="images/assets/img/transfer.png" style=""
                                    alt="Transfer server"></td>
                            <td width="35%">Transfer Server</td>
                            <td width="35%"><span class="ax badge badge-primary"><?=$_SERVER['SERVER_NAME']?></span>
                            </td>
                        </tr>
                        <tr>
                            <td><img class="cpanelhomeicon" src="images/assets/img/controller.png" style=""
                                    alt="Controller">
                            </td>
                            <td>Controller (Master)</td>
                            <td><?php
if (isset($settings->controller) && !empty($settings->controller)) {
    ?><span class="ax badge badge-primary"><?=$settings->controller?></span><?php
} else {
    ?>
                                <span class="ax badge badge-danger">Not Configured</span>
                                <?php
}
?></td>
                        </tr>
                        <tr>
                            <td><img class="cpanelhomeicon" src="images/assets/img/failover.png" style=""
                                    alt="Failover">
                            </td>
                            <td>Controller (Failover)</td>
                            <td><?php
if (isset($settings->failover) && !empty($settings->failover)) {
    ?><span class="ax badge badge-primary"><?=$settings->failover?></span><?php
} else {
    ?>
                                <span class="ax badge badge-danger">Not Configured</span>
                                <?php
}
?></td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="col-md-6" style="">
                <table class="table">
                    <tbody>
                        <tr>
                            <td><img class="cpanelhomeicon" src="images/assets/img/domain.png" style="width:50px;"
                                    alt="Domain count"></td>
                            <td>Domain Count </td>
                            <td><span class="ax badge badge-primary"><?=$domain_count?></span></td>
                        </tr>
                        <tr>
                            <td><img class="cpanelhomeicon" src="images/assets/img/time.png" style="" alt="Transfer time">
                            </td>
                            <td>Last Transfer Time</td>
                            <td>
                                <?=empty($last_sync_time) ? '<span class="ax badge badge-secondary">Not Available' : '<span class="ax badge badge-primary">' . $last_sync_time?></span>
                            </td>
                        </tr>
                        <tr>
                            <td><img class="cpanelhomeicon" src="images/assets/img/sync.png" style="" alt="Sync status">
                            </td>
                            <td>Sync Status</td>
                            <td><span
                                    class="ax badge badge-<?=$badge?>"><?=$badge == 'danger' ? $sync_status . ' (' . $domains_synced_remain . ')' : $sync_status?></span>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<?php
include 'inc/footer.php';
?>