<?php

$viewConf->set('var.tab.settings', true);

$_POST = fetchRequest('post');
$notification = false;

if ($db->table('settings')->count('id', 'total')->get()->total == 0) {
    $publicip = shell_exec("$appPath/bin/ctl gdnsbin getpublicip");
    $privateip = shell_exec("$appPath/bin/ctl gdnsbin getlocalip");
    $db->table('settings')->insert(array(
        'public_ip' => $publicip,
        'private_ip' => $privateip,
    ));
}

if (isset($_POST['doAction']) && !empty($_POST['doAction'])) {
    if ($_POST['doAction'] == "updateSettings") {
        $notification = true;
        $validationstatus = true;
        if (isset($_POST['controller']) && !empty($_POST['controller'])) {
            if (!filter_var($_POST['controller'], FILTER_VALIDATE_IP)) {
                $msg = "Invalid Controller IP!";
                $validationstatus = false;
                $controller = "";
            } else {
                $controller = trim($_POST['controller']);
            }
        } else {
            $msg = "Please Enter Controller IP!";
            $validationstatus = false;
            $controller = "";
        }
        if (isset($_POST['failover']) && !empty($_POST['failover'])) {
            if (!filter_var($_POST['failover'], FILTER_VALIDATE_IP)) {
                $msg = "Invalid Failover IP!";
                $validationstatus = false;
                $failover = "";
            } else {
                $failover = trim($_POST['failover']);
            }
        } else {
            $failover = "";
        }
        if (isset($_POST['email']) && !empty($_POST['email'])) {
            if (!filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)) {
                $msg = "Invalid email address!";
                $validationstatus = false;
                $email = "";
            } else {
                $email = trim($_POST['email']);
            }
        } else {
            $email = "";
        }

        if ($controller == $failover && !empty($controller) && !empty($failover)) {
            $msg = "Controller and Failover IP should not be same!";
            $validationstatus = false;
        }

        $id = trim($_POST['id']);
        if ($controller != "") {
            if ($validationstatus == true) {
                $db->table('settings')->where('id', addslashes($id))->update(array(
                    'controller' => addslashes($controller),
                    'failover' => addslashes($failover),
                    'email' => addslashes($email),
                ));
                $msg = "Settings updated successfully!";
            }
        }
    }

}
$userSettings = $db->table('settings')->select('*')->get();
include 'inc/header.php';
?>


<style>
html {
    min-height: 100%;
    position: relative;
}

html body {
    margin-bottom: 60px;
    background-color: #e9ebee;
}

html #footer {
    bottom: 0;
    position: absolute;
    height: 60px;
    width: 100%;
}

html #footer .footer-block {
    margin: 20px 0;
}


@media screen and (max-width: 600px) and (min-width: 100px) {
    .columnx-4cardmenu {
        float: left;
        width: 100%;
    }

    .contentminheight {
        min-height: 595px !important;
        margin-bottom: 20px;
    }

    .cpanelhomeicon {
        width: 50px !important;
    }

    .plesk-custom-style .col-sm-6 {
        flex: 0 0 100%;
        max-width: 100%;
        text-align: center !important;
    }

    .right-panel header.header {
        height: 0px;
    }
}
</style>

<div class="col-lg-12">
    <?php
if ($notification) {
    echo $validationstatus == true ? bootAlert($msg) : bootAlert($msg, 'danger');
}
?>
    <div class="cardx">
        <div class="card-body card-block">
            <form action="" method="post" class="form-horizontal">
                <div class="row form-group" style="margin-left: 0px;">
                    <h4 class="text-center" style="width:100%;float:left;text-align: left !important;">Transfer Server
                        Settings</h4>
                    <hr style="width:100%">
                    <h4 style="font-size: 16px;"></h4>
                </div>
                <div class="row form-group">
                    <div class="col col-md-3">
                        <label class=" form-control-label">
                            <a href="#">
                                <img class="align-self-center rounded-circlex mr-3" style="width:85px; height:85px;"
                                    alt="" src="images/assets/img/gdns-original.png">
                            </a>
                        </label>
                    </div>
                    <div class="col-12 col-md-9">
                        <h3 class="form-control-static">gDNS Cluster Transfer Server Admin</h3>
                        <p class="form-control-static">Server Administrator</p>
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col col-md-3">
                        <label for="text-input" class=" form-control-label">Controller
                            (Master)&nbsp;<span class="required">*</span></label>
                    </div>
                    <div class="col-12 col-md-9">
                        <input id="controllerip" name="controller" type="text" class="form-control" aria-required="true"
                            aria-invalid="false"
                            value="<?=isset($userSettings->controller) ? $userSettings->controller : '';?>"
                            placeholder="Controller IP (eg : 192.168.0.1)">
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col col-md-3">
                        <label for="text-input" class=" form-control-label">Controller
                            (Failover)</label>
                    </div>
                    <div class="col-12 col-md-9">
                        <input id="failoverip" name="failover" type="text" class="form-control" aria-required="true"
                            aria-invalid="false"
                            value="<?=isset($userSettings->failover) ? $userSettings->failover : '';?>"
                            placeholder="Failover IP (eg : 192.168.0.2)">
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col col-md-3">
                        <label for="email-input" class=" form-control-label">Email ID&nbsp;</label>
                    </div>
                    <div class="col-12 col-md-9">
                        <input type="text" id="email" name="email" placeholder="Enter Email" class="form-control"
                            value="<?=isset($userSettings->email) ? $userSettings->email : ''?>">
                    </div>
                </div>
                <div class="form-actions form-group">
                    <input type="hidden" name="doAction" value="updateSettings">
                    <input type="hidden" name="id" value="<?=isset($userSettings->id) ? $userSettings->id : ''?>">
                    <button type="submit" class="btn btn-primary btn-sm">Update Settings</button>
                </div>
            </form>
        </div>
    </div>
</div>


<?php
include 'inc/footer.php';
?>