<?php

$viewConf->set('var.tab.transferdeleted', true);
$viewConf->set('var.javascript.status', true);
$viewConf->set('var.javascript.inline', true);
$msg = '';
$_POST = fetchRequest('post');

if (isset($_POST['domain']) && !empty(trim($_POST['domain']))) {
    $fail = 0;
    $pdomain = trim($_POST['domain']);
    $domain = $db->table($table)->select('*')->where(array("is_sended" => 1, "domain_name" => $pdomain))->get();
    $punydomain = convertIDN($pdomain);

    if (!isset($domain->domain_name)) {
        $fail = 1;
        $msg = "Cannot re-sync the domain " . addslashes($punydomain);
    } else {
        //queue domain for syncing
        $punydomain = convertIDN($domain->domain_name);
        if ($db->table($table)->where('domain_name', $domain->domain_name)->update(array(
            "is_sended" => 0,
            "is_deleted" => 0,
            "dig_status" => 0,
            "domain_action" => 1,
            "priority" => 9,
            "timestamp" => getTimeNow(),
        ))) {
            $msg = "Domain $punydomain has been queued for re-sync!";
        } else {
            $fail = 1;
            $msg = "Failed to re-sync the domain $punydomain";
        }
    }
} elseif (isset($_POST['doAction']) && $_POST['doAction'] == "resyncAll") {
    $fail = 0;
    if ($db->table("domain_transfer")->where('is_sended', 1)->where('is_deleted', 0)->update(array(
        "is_sended" => 0,
        "domain_action" => 1,
        "timestamp" => getTimeNow(),
    ))) {
        $msg = "All Domains has been queued for re-sync!";
    } else {
        $fail = 1;
        $msg = "Failed to re-sync the domains!";
    }
} else {
    if ($_POST) {
        $fail = 1;
        $msg = "No valid parameters passed!";
    }
}

$listdata = $db->table($table)->select('*')->where('is_deleted', 1)->orderBy('dt_id', 'desc')->getAll();
include 'inc/header.php';

?>

<style>
.contentminheight {
    min-height: 595px !important;
}

.pagenaboos {
    margin-top: 20px;
    float: right;
}

.plesk-custom-style .page-link {
    color: #000000 !important;
}

.activelink {
    color: #000000 !important;
}



html {
    min-height: 100%;
    position: relative;
}

html body {
    margin-bottom: 60px;
    background-color: #e9ebee;
}

html #footer {
    bottom: 0;
    position: absolute;
    height: 60px;

    width: 100%;



}

html #footer .footer-block {
    margin: 20px 0;
}

.plesk-custom-style .text-right {
    text-align: right !important;
}

.plesk-custom-style .col-sm-6 {
    flex: 0 0 50%;
    max-width: 50%;
}

.badge-text {
    font-size: 7px;
}

@media screen and (max-width: 600px) and (min-width: 100px) {
    .columnx-4cardmenu {
        float: left;
        width: 100%;
    }

    .contentminheight {
        min-height: 595px !important;
        margin-bottom: 20px;
    }

    .cpanelhomeicon {
        width: 50px !important;
    }

    .plesk-custom-style .col-sm-6 {
        flex: 0 0 100%;
        max-width: 100%;
        text-align: center !important;
    }

    .right-panel header.header {
        height: 0px;
    }
}
</style>
<div class="col-md-12">
    <?php
if ($msg != '') {
    echo $fail ? bootAlert($msg, 'danger') : bootAlert($msg);
}
?>
    <div class="card">
        <div class="card-header">
            <strong class="card-title">Deleted Zones</strong>
        </div>
        <div class="card-body">
            <table id="bootstrap-data-table" class="table table-striped table-bordered table-hover" data-toggle="table"
                data-query-params="queryParams" data-pagination="true" data-search="true" data-sort-order="asc"
                data-sort-name="stargazers_count">
                <thead>
                    <tr>
                        <th data-sortable="true">S/N</th>
                        <th data-sortable="true">Domain Name</th>
                        <th data-sortable="true">Action</th>
                        <th data-sortable="true">Last Transfer Time</th>
                    </tr>
                </thead>
                <tbody><?php
$cnt = 0;
foreach ($listdata as $domain) {
    $cnt++;
    ?><tr>
                        <td>
                            <?=$cnt?>
                        </td>
                        <td>
                            <?=convertIDN($domain->domain_name)?>
                        </td>
                        <td>

                            <?php
if ($domain->is_sended == "1") {
        ?><form action="?act=transferdeleted" method="post" style="margin:0" onsubmit="return resync()">
                                <input type="hidden" name="domain" value="<?=$domain->domain_name?>">
                                <input type="image" title="Re-sync" class="rotate" id="syncone"
                                    src="images/assets/img/sync.svg" style="width: 17px;height: 17px;" class="svgicon"
                                    alt="svg"><font color="#FF0000"> Re-Sync</font></form><?php
} else {
        if ($domain->dig_status == 0) {
            ?><img id="syncone" src="images/assets/img/unsync.svg" style="width: 17px;height: 17px;" class="svgicon"
                                alt="svg"> In Progress<?php
} else {
            ?><img id="syncone" src="images/assets/img/unsync.svg" style="width: 17px;height: 17px;" class="svgicon"
                                alt="svg"> Sync failed
                            <form action="?act=transferdeleted" method="post" style="display:inline">
                                <input type="hidden" name="rq_id" value="<?=$domain->dt_id?>">
                                <input type="submit" style="border-radius: 0px;margin-left: 5px;"
                                    class="btn btn-primary btn-sm forcesync" value="Force Sync">
                            </form>

                            <?php
}

    }
    ?>
                        </td>
                        <td>
                            <?=$domain->timestamp?>
                        </td>
                    </tr>
                    <?php
}
?>
                </tbody>
            </table>
        </div>
    </div>
</div>
<?php
$js = <<<EOF
function resync() {
    return confirm('Are you sure to mark it as active and resync?') ? true:false;
}
EOF;
$viewConf->set("var.javascript.inlinejs", $js);
include 'inc/footer.php';
?>