#!/usr/local/bin/php
<?php

require __DIR__ . "/../app/bootstrap/app.php";

if ($argc < 2) {
    echo "Not enough arguments!";
    exit;
}
file_put_contents("check.log", implode(",", $argv));
function createDomain($db, $domainData)
{

    $table = 'domain_transfer';

    if ($db->table($table)->where('domain_name', $domainData['domain'])->count('domain_name', 'total')->get()->total == 0) {
        $data = array(
            'domain_name' => $domainData['domain'],
            'public_ip' => $domainData['public_ip'],
            'private_ip' => $domainData['private_ip'],
            'is_sended' => 0,
            'is_deleted' => 0,
            'domain_action' => 0,
            'request_type' => 0,
            'dig_status' => 0,
        );
        $db->table($table)->insert($data);
    } else {
        $dbDomain = $db->table($table)->where('domain_name', $domainData['domain'])->select('is_deleted')->get();
        if ($dbDomain->is_deleted == 0) {
            $db->table($table)->where('domain_name', $domainData['domain'])->update(array(
                'is_sended' => 0,
                'domain_action' => 1,
            ));
        } else {
            $db->table($table)->where('domain_name', $domainData['domain'])->update(array(
                'is_deleted' => 0,
                'is_sended' => 0,
                'domain_action' => 1,
            ));
        }
    }
}

$domain = $argv[1];
$action = isset($argv[2]) ? $argv[2] : false;
$settings = $db->table('settings')->select('*')->where('is_deleted', 0)->get();

switch ($argc) {
    case 4:
        $domain = $argv[1];
        $newdomain = isset($argv[2]) ? $argv[2] : false;
        $status = isset($argv[3]) ? $argv[3] : false;
        if ($newdomain == 'modify') {
            if ($status == 'yes') {
                $db->table($table)->where('domain_name', $domain)->update(array(
                    'is_sended' => 0,
                    'is_deleted' => 1,
                ));
            } else if ($status == 'no') {
                $db->table($table)->where('domain_name', $domain)->update(array(
                    'is_sended' => 0,
                    'is_deleted' => 0,
                ));
            }
        } else {
            $db->table($table)->where("domain_name", $domain)->update(array(
                'is_sended' => 0,
                'domain_action' => 2,
            ));
            createDomain($db, array(
                'domain' => $newdomain,
                'public_ip' => $settings->public_ip,
                'private_ip' => $settings->private_ip)
            );
        }
        break;

    case 3:
        $domain = $argv[1];
        $action = isset($argv[2]) ? $argv[2] : false;
        $status = isset($argv[3]) ? $argv[3] : false;
        if ($action == 'update') {
            $db->table($table)->where('domain_name', $domain)->update(array(
                'is_sended' => 0,
                'domain_action' => 1,
            ));
        } else if ($action == 'create') {
            createDomain($db, array(
                'domain' => $domain,
                'public_ip' => $settings->public_ip,
                'private_ip' => $settings->private_ip)
            );
        } else if ($action == 'delete') {
            $db->table($table)->where('domain_name', $domain)->update(array(
                'is_sended' => 0,
                'domain_action' => 2,
            ));
        }
        break;

    case 1:
        echo "No domains!";
        exit;
        break;

    default:
        die("Invalid call!");
}

?>