#!/bin/bash

#############################################################################
# Copyright(c) 2021 Admin-Ahead Server Technologies. All rights Reserved.   #
# This code is subject to the Admin-Ahead license.                          #
# Unauthorized copying is prohibited.                                       #
# Support: support@admin-ahead.com                                          #
# Web: https://admin-ahead.com                                              #
#############################################################################

export SYSHOOK=/usr/local/directadmin/scripts/custom
USER_MYCNF=/usr/local/directadmin/conf/my.cnf
DEFAULT_MYCNF=/root/.my.cnf

[[ ! -d "/usr/local/directadmin/" ]] && echo 'Invalid Server!' && exit 0

hooks=("domain_create_post" "domain_destroy_pre" "domain_change_post" "subdomain_create_post" "subdomain_destroy_pre" "user_create_post" "dns_write_post" "domain_pointer_create_pre" "domain_pointer_destroy_pre" "domain_modify_post" "dns_create_post" "dns_delete_post")
for hook in  ${hooks[@]}; do
    if [[ -f "$SYSHOOK/${hook}.sh" ]]; then
        if [[ $(grep -wc "#gdns-script-check" $SYSHOOK/${hook}.sh) -ne 0 ]]; then
            rm -f $SYSHOOK/${hook}.sh 
        else
            checkHook ${hook}.sh > /dev/null 2>&1
            if [[ $? -eq 0 ]]; then
                sed -i '/gdns\//d' $SYSHOOK/${hook}.sh
            fi
        fi
    fi
done
crontab -l | grep -v 'gdns-transferserver' | crontab - >/dev/null 2>&1

mysql --defaults-file=$USER_MYCNF -e ";" >/dev/null 2>&1
response_conf=$?
if [[ $response_conf -eq 0 ]];then
    export mysql_param='--defaults-file'
else
    export mysql_param='--defaults-extra-file'
fi
mysql $mysql_param=$USER_MYCNF -e ";" >/dev/null 2>&1
response_conf=$?
mysql -e ";"
response_default=$?
default_conf=0
if [[ -s $USER_MYCNF ]] && [[ $response_conf -eq 0 ]];then
	export MYCNF=$USER_MYCNF
elif [[ -s $DEFAULT_MYCNF ]] && [[ $response_default -eq 0 ]];then
	export MYCNF=$DEFAULT_MYCNF
	default_conf=1
else
	outInfo "Failed to get MySQL Details!"
	exit 100
fi

[[ $response_conf -eq 0 ]] && mysql $mysql_param=$MYCNF -e "DROP DATABASE 'gdns_transferserver'" >/dev/null 2>&1
[[ $response_default -eq 0 ]] && mysql -e "DROP DATABASE 'gdns_transferserver'" >/dev/null 2>&1
echo -e "\n <b>gDNS Cluster - Transferserver plugin was unsintalled successfully!</b>"